#
# spec file for package python-oslo.reports
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-oslo.reports
Version:        1.28.0
Release:        2.61
Summary:        OpenStack oslo.reports library
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://launchpad.net/oslo.reports
Source0:        https://files.pythonhosted.org/packages/source/o/oslo.reports/oslo.reports-1.28.0.tar.gz
# https://review.openstack.org/588088
Patch0:         0001-Update-unit-test-to-reflect-latest-oslo.config.patch
BuildRequires:  openstack-macros
BuildRequires:  python-devel
BuildRequires:  python2-Jinja2 >= 2.10
BuildRequires:  python2-eventlet
BuildRequires:  python2-greenlet
BuildRequires:  python2-oslo.config
BuildRequires:  python2-oslo.i18n >= 3.15.3
BuildRequires:  python2-oslo.serialization >= 2.18.0
BuildRequires:  python2-oslo.utils >= 3.33.0
BuildRequires:  python2-oslotest
BuildRequires:  python2-pbr >= 2.0.0
BuildRequires:  python2-psutil >= 3.2.2
BuildRequires:  python2-six >= 1.10.0
BuildRequires:  python2-testrepository
BuildRequires:  python3-Jinja2 >= 2.10
BuildRequires:  python3-devel
BuildRequires:  python3-eventlet
BuildRequires:  python3-greenlet
BuildRequires:  python3-oslo.config
BuildRequires:  python3-oslo.i18n >= 3.15.3
BuildRequires:  python3-oslo.serialization >= 2.18.0
BuildRequires:  python3-oslo.utils >= 3.33.0
BuildRequires:  python3-oslotest
BuildRequires:  python3-pbr >= 2.0.0
BuildRequires:  python3-psutil >= 3.2.2
BuildRequires:  python3-six >= 1.10.0
BuildRequires:  python3-testrepository
Requires:       python-Jinja2 >= 2.10
Requires:       python-oslo.i18n >= 3.15.3
Requires:       python-oslo.serialization >= 2.18.0
Requires:       python-oslo.utils >= 3.33.0
Requires:       python-psutil >= 3.2.2
Requires:       python-six >= 1.10.0
BuildArch:      noarch
%{python_subpackages}

%description
The project oslo.reports hosts a general purpose error report generation
framework, known as the "guru meditation report".

%package -n python-oslo.reports-doc
Summary:        Documentation for OpenStack reports library
Group:          Development/Languages/Python
BuildRequires:  python-Sphinx
BuildRequires:  python-openstackdocstheme

%description -n python-oslo.reports-doc
The project oslo.reports hosts a general purpose error report generation
framework, known as the "guru meditation report".
This package contains the documentation.

%prep
%autosetup -p1 -n oslo.reports-1.28.0
%py_req_cleanup
sed -i 's/^warning-is-error.*/warning-is-error = 0/g' setup.cfg

%build
%{python_build}

# generate html docs
%{__python2} setup.py build_sphinx
# remove the sphinx-build leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}

%install
%{python_install}

%check
%{python_expand rm -rf .testrepository
$python setup.py testr
}

%files %{python_files}
%license LICENSE
%doc README.rst ChangeLog
%{python2_sitelib}/oslo_reports
%{python2_sitelib}/*.egg-info

%files -n python-oslo.reports-doc
%license LICENSE
%doc doc/build/html

%changelog
* Mon Sep  3 2018 cloud-devel@suse.de
- update to version 1.28.0
  - set default python to python3
  - Update reno for stable/queens
  - Update links in README
  - fix lower constraints and uncap eventlet
  - Imported Translations from Zanata
  - Updated from global requirements
  - add lower-constraints job
  - Document workaround for AccessDenied error
- add 0001-Update-unit-test-to-reflect-latest-oslo.config.patch
* Fri Feb 23 2018 tbechtold@suse.com
- Switch to stable/queens spec template
* Tue Jan 30 2018 cloud-devel@suse.de
- update to version 1.26.0
  - Updated from global requirements
  - Add bandit to pep8 job
* Mon Jan 15 2018 cloud-devel@suse.de
- update to version 1.25.0
  - Remove -U from pip install
  - Remove SIGUSR1 handler, which was deprecated after Ocata
  - Update reno for stable/pike
  - Remove psutil 1.x compat wrapping
  - Remove setting of version/release from releasenotes
  - Imported Translations from Zanata
  - Avoid tox_install.sh for constraints support
  - Update the documentation link
  - Updated from global requirements
* Mon Aug  7 2017 cloud-devel@suse.de
- update to version 1.22.0
  - Remove references to Python 3.4
  - Remove log translations
  - rearrange content to fit the new standard layout
  - Update reno for stable/ocata
  - Remove pbr warnerrors in favor of sphinx check
  - Updated from global requirements
  - switch from oslosphinx to openstackdocstheme
  - update the doc URL according to document migration
* Mon Feb 13 2017 cloud-devel@suse.de
- update to version 1.17.0:
  - Add Constraints support
  - Fix a typo
  - Updated from global requirements
  - Show team and repo badges on README
  - Bump hacking dep
  - Changed the home-page link
  - Add reno for release notes management
* Fri Oct 14 2016 tbechtold@suse.com
- switch to stable/newton tarball in _service
* Wed Aug 31 2016 tbechtold@suse.com
- update to version 1.14.0
  * Updated from global requirements
* Wed Aug 10 2016 tbechtold@suse.com
- update to 1.13.0:
  * Updated from global requirements
  * Add Python 3.5 classifier and venv
  * Use file modification events instead of signal handler
  * Imported Translations from Zanata
  * Trivial: ignore openstack/common in flake8 exclude list
  * Remove direct dependency on babel
- Update _service and switch to upstream spec template
* Mon Apr  4 2016 tbechtold@suse.com
- update to 1.7.0:
  * Updated from global requirements
  * Update .gitreview for stable/mitaka
* Thu Mar  3 2016 tbechtold@suse.com
- update to 1.6.0:
  * Updated from global requirements
  * Updated from global requirements
  * Updated from global requirements
  * Update translation setup
  * Updated from global requirements
  * Updated from global requirements
  * Updated from global requirements
  * Updated from global requirements
  * Updated from global requirements
  * Updated from global requirements
  * Print the traceback if there was an exception in run(
  * Rename signal handler argument to 'frame'
  * Updated from global requirements
  * Updated from global requirements
  * Trival: Remove 'MANIFEST.in'
  * Drop python 2.6 support
  * Updated from global requirements
  * Remove Python 2.6 classifier
  * Updated from global requirements
  * Remove python 2.6 and cleanup tox.ini
  * Fix Transition to SIGUSR2 in oslo.reports breaks upgrade
  * Updated from global requirements
  * Updated from global requirements
  * Updated from global requirements
  * Fix a typo in process.py
  * remove extraneous coverage omit instruction
- Adjust Requires
* Wed Oct 21 2015 dmueller@suse.com
- update to 0.7.0:
  * No need for Oslo Incubator Sync
  * Fix coverage configuration and execution
  * How to use oslo.reports documentation
  * add auto-generated api documentation
  * clean up release notes in toctree
  * add auto-generated docs for config options
  * Add shields.io version/downloads links/badges into README.rst
  * Updated from global requirements
  * guru_meditation_report: Use SIGUSR2 instead of SIGUSR1
* Wed Sep  9 2015 tbechtold@suse.com
- update to 0.5.0:
  * Updated from global requirements
  * Add a configuration for the directory to generate gmr
  * Fill README from information in the wiki
  * Setup translations
- Adjust Requires
* Mon Aug  3 2015 tbechtold@suse.com
- update to 0.3.0:
  * Updated from global requirements
  * Fix mock of open(
  * Fix GMR break with new psutil versions
  * Add oslo.utils dependency
  * Add tox target to find missing requirements
- Adjust Requires
* Mon Jul  6 2015 rsalevsky@suse.com
- initial package creation
